Summary:	Print dialog and printer manager for Xfce
Summary(pl.UTF-8):	Okno dialogowe wydruku i zarządca drukarek dla Xfce
Name:		xfprint
Version:	4.6.1
Release:	9
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	d92fca97a42816085080baf07a99a62e
Patch0:		%{name}-bsdlpr.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-ui.patch
Patch3:		format-security.patch
URL:		http://www.xfce.org/projects/xfprint/
BuildRequires:	a2ps-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.6
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	libxfce4ui-devel >= %{version}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce4-dev-tools >= 4.6.0
BuildRequires:	xfconf-devel >= %{version}
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-print-backend = %{version}-%{release}
Requires:	a2ps
Requires:	xfce4-dirs >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfprint contains a print dialog and a printer manager for the Xfce
Desktop Environment.

%description -l pl.UTF-8
Xfprint zawiera okno dialogowe wydruku i zarządcę drukarek dla
środowiska Xfce.

%package apidocs
Summary:	xfprint API documentation
Summary(pl.UTF-8):	Dokumentacja API xfprint
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
xfprint API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API xfprint.

%package cups
Summary:	CUPS plugin for xfprint
Summary(pl.UTF-8):	Wtyczka CUPS dla xfprint
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-print-backend = %{version}-%{release}

%description cups
This package contains plugin for xfprint allowing to use CUPS printing
system directly.

%description cups -l pl.UTF-8
Paczka ta zawiera wtyczkę dla xfprint, która umożliwia bezpośrednie
korzystanie z systemu wydruku CUPS.

%package bsdlpr
Summary:	bsdlpr plugin for xfprint
Summary(pl.UTF-8):	Wtyczka bsdlpr dla xfprint
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	/usr/bin/lpr
Provides:	%{name}-print-backend = %{version}-%{release}

%description bsdlpr
This package contains plugin for xfprint allowing to use old bsd style
printing system through lpr program.

%description bsdlpr -l pl.UTF-8
Paczka ta zawiera wtyczkę dla xfprint, która umożliwia drukowanie w
stylu bsd poprzez program lpr.

%package devel
Summary:	Headers files for the xfprint library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki xfprint
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.6
Requires:	libxfce4util-devel >= %{version}
Requires:	libxfce4ui-devel >= %{version}

%description devel
Header files for the xfprint library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki xfprint.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-static \
	--enable-cups \
	--enable-bsdlpr=yes \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unusable (no devel resources)
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/xfprint-plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/xfprint-settings
%attr(755,root,root) %{_bindir}/xfprint4
%attr(755,root,root) %{_bindir}/xfprint4-manager
%attr(755,root,root) %{_libdir}/libxfprint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfprint.so.0
%dir %{_libdir}/xfce4/xfprint-plugins
%{_desktopdir}/xfprint-manager.desktop
%{_desktopdir}/xfprint-settings.desktop
%{_desktopdir}/xfprint.desktop
%{_datadir}/xfce4/doc/C/*.html
%{_datadir}/xfce4/doc/C/images/*.png
%lang(fr) %{_datadir}/xfce4/doc/fr/*.html
%lang(fr) %{_datadir}/xfce4/doc/fr/images/*.png
%{_iconsdir}/hicolor/*/devices/*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libxfprint

%files cups
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/xfprint-plugins/cups_plugin.so

%files bsdlpr
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/xfprint-plugins/bsdlpr_plugin.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfprint.so
%{_includedir}/xfce4/libxfprint
%{_libdir}/libxfprint.la
%{_pkgconfigdir}/xfprint-1.0.pc
%changelog
* Thu Nov 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfprint.git;a=log;h=master

* Thu Nov 07 2013 Jan Rękorajski <baggins@pld-linux.org> 3908838
- fix format string errors
- rel 9

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f1bcd74
- release 8 (by relup.sh)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 13f594e
- release 7

* Mon Feb 28 2011 Jan Rękorajski <baggins@pld-linux.org> 241852e
- rel 6

* Mon Feb 28 2011 Jan Rękorajski <baggins@pld-linux.org> 1c284f1
- port to libxfce4ui

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 49e2946
- Requires(post,postun): gtk-update-icon-cache

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> b664e60
- rel 4
- dirs cleanup

* Fri May 14 2010 sparky <sparky@pld-linux.org> 9cbadd8
- BR: docbook-dtd412-xml

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> ec73532
- rel 3
- desktop file cleanup

* Wed Jun 17 2009 hawk <hawk@pld-linux.org> b1132d9
- release 2

* Mon Apr 27 2009 Adam Gołębiowski <adamg@pld-linux.org> 72b36d7
- updated to 4.6.1

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9a63c92
- updated for 4.6.0

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 9f9561e
- obsolete

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> e0b0304
- updated to 4.6.0
- removed obsolete -locale-names.patch

* Sun Nov 09 2008 Marcin Banasiak <marcin.banasiak@gmail.com> fe74ee6
- release 1

* Tue Oct 28 2008 Paweł Gołaszewski <blues@pld-linux.org> ebe87b4
- lpr patch replaced with bsdlpr patch

* Tue Oct 28 2008 Paweł Gołaszewski <blues@pld-linux.org> 4bb65ac
- 4.4.3 - NFY

* Fri Dec 07 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 3567a07
- updated for 4.4.2

* Fri Dec 07 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 878bc09
- updated to 4.4.2

* Wed Apr 11 2007 Robert Tomasik <rotom@pld-linux.org> cea8700
- 4.4.1

